# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-04-22 09:50
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0018_invoicebatch_operatorinformation_processedbatch'),
    ]

    operations = [
        migrations.CreateModel(
            name='TaxationResponse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('response', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='response')),
                ('date', models.DateField(verbose_name='date')),
            ],
            options={
                'verbose_name': 'taxation response',
                'ordering': ['-date'],
            },
        ),
        migrations.RenameField(
            model_name='operatorinformation',
            old_name='operator_id',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='processedbatch',
            old_name='batch_id',
            new_name='batch',
        ),
        migrations.RenameField(
            model_name='processedbatch',
            old_name='batch_processed',
            new_name='processed',
        ),
    ]
